Bug 1265770 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP
[abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:80a1378b30e8fa6ff4ba1346c82...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 13:37 EDT by Mike Simms
Modified: 2016-12-20 11:23 EST (History)
27 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:42:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (39.80 KB, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: cgroup (189 bytes, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: core_backtrace (7.49 KB, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: dso_list (14.52 KB, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: environ (981 bytes, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: maps (66.08 KB, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: mountinfo (2.92 KB, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: open_fds (516 bytes, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: proc_pid_status (988 bytes, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details
File: var_log_messages (520 bytes, text/plain)
2015-09-23 13:37 EDT, Mike Simms
no flags Details

  None (edit)
Description Mike Simms 2015-09-23 13:37:08 EDT
Version-Release number of selected component:
gnome-shell-3.17.92-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm --wayland --display-server
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     1252
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 _g_log_abort at gmessages.c:324
 #3 get_kms_fd at backends/native/meta-launcher.c:363
 #4 meta_launcher_new at backends/native/meta-launcher.c:408
 #5 meta_backend_native_init at backends/native/meta-backend-native.c:331
 #6 g_type_create_instance at gtype.c:1870
 #7 g_object_new_internal at gobject.c:1779
 #10 meta_create_backend at backends/meta-backend.c:566
 #11 meta_clutter_init at backends/meta-backend.c:626
 #12 meta_init at core/main.c:358
Comment 1 Mike Simms 2015-09-23 13:37:12 EDT
Created attachment 1076271 [details]
File: backtrace
Comment 2 Mike Simms 2015-09-23 13:37:14 EDT
Created attachment 1076272 [details]
File: cgroup
Comment 3 Mike Simms 2015-09-23 13:37:15 EDT
Created attachment 1076273 [details]
File: core_backtrace
Comment 4 Mike Simms 2015-09-23 13:37:17 EDT
Created attachment 1076274 [details]
File: dso_list
Comment 5 Mike Simms 2015-09-23 13:37:18 EDT
Created attachment 1076275 [details]
File: environ
Comment 6 Mike Simms 2015-09-23 13:37:20 EDT
Created attachment 1076276 [details]
File: limits
Comment 7 Mike Simms 2015-09-23 13:37:22 EDT
Created attachment 1076277 [details]
File: maps
Comment 8 Mike Simms 2015-09-23 13:37:24 EDT
Created attachment 1076278 [details]
File: mountinfo
Comment 9 Mike Simms 2015-09-23 13:37:26 EDT
Created attachment 1076279 [details]
File: namespaces
Comment 10 Mike Simms 2015-09-23 13:37:27 EDT
Created attachment 1076280 [details]
File: open_fds
Comment 11 Mike Simms 2015-09-23 13:37:29 EDT
Created attachment 1076281 [details]
File: proc_pid_status
Comment 12 Mike Simms 2015-09-23 13:37:30 EDT
Created attachment 1076282 [details]
File: var_log_messages
Comment 13 M_M 2015-12-11 20:01:05 EST
Another user experienced a similar problem:

noinfo
noinfo
noinfo

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm --wayland --display-server
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     1262
kernel:         4.2.5-300.fc23.i686
package:        gnome-shell-3.18.1-1.fc23
reason:         gnome-shell killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            42
Comment 14 Fedora End Of Life 2016-11-24 07:34:16 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Mike Simms 2016-11-25 04:42:27 EST
Fair enough, I can't actually test for it now anyway since I'm running exclusively Fedora 24 and Fedora 25 and not Workstation.

I left it open simply because of the CC list growing which indicated it is/was an issue not specific to the machine it was reported by ABRT from.

If there still is an issue, would one of the people automatically added to the CC list please confirm this or whether it has been fixed so this can either be closed ERRATA or the version changed as suggested.

Thanks.
Comment 16 Fedora End Of Life 2016-12-20 09:42:34 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.